CMSIS-DSP: Vector Log

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Vector Log
Fast Math Functions

## Functions

void | arm_vlog_f16 (const float16_t *pSrc, float16_t *pDst, uint32_t blockSize)
| Floating-point vector of log values. More...
void | arm_vlog_f32 (const float32_t *pSrc, float32_t *pDst, uint32_t blockSize)
| Floating-point vector of log values. More...
void | arm_vlog_q15 (const q15_t *pSrc, q15_t *pDst, uint32_t blockSize)
| q15 vector of log values. More...
void | arm_vlog_q31 (const q31_t *pSrc, q31_t *pDst, uint32_t blockSize)
| q31 vector of log values. More...

## Description

Compute the log values of a vector of samples.

## Function Documentation

void arm_vlog_f16 | ( | const float16_t * | pSrc,
|  | float16_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [out] | pDst | points to the output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_vlog_f32 | ( | const float32_t * | pSrc,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

end of cos group

Parameters

  [in] | pSrc | points to the input vector
  [out] | pDst | points to the output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_vlog_q15 | ( | const q15_t * | pSrc,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to the input vector in q15
  [out] | pDst | points to the output vector in q4.11
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_vlog_q31 | ( | const q31_t * | pSrc,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to the input vector in q31
  [out] | pDst | points to the output vector q5.26
  [in] | blockSize | number of samples in each vector

Returns
  none